Bug 680904 - " ... and then you loose all your data ... " or strange default for cobbler kickstarts
" ... and then you loose all your data ... " or strange default for cobbler k...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: cobbler (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: James C.
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 680915
  Show dependency treegraph
 
Reported: 2011-02-28 07:25 EST by Matěj Cepl
Modified: 2012-04-16 20:38 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 680915 (view as bug list)
Environment:
Last Closed: 2012-04-16 20:38:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matěj Cepl 2011-02-28 07:25:31 EST
Description of problem:
Following http://docs.fedoraproject.org/en-US/Fedora/14/html/Installation_Guide/sn-cobbler-import.html I've repeated whole sequence to make PXE server. Then I have booted other computer from it and I expected to get anaconda asking me what to do. Cobbler instead run completely crazy kickstart which immediately destroyed all my partitions (including those which contained my only backups for the system ... thank you).

In comparison system-config-netboot generates kickstart with only one line

repo --baseurl=ftp://something

which makes anaconda exactly doing what I've expected it to do.

Given also that customization of kickstarts is fairly non-trivial (and that's not a problem in itself, I understand that cobbler is not for simpletons trying to overcome non-booting computer in their home), would it be possible to make default slightly more conservative, please?

Version-Release number of selected component (if applicable):
2.0.10-1.fc14

How reproducible:
100%

Steps to Reproduce:
1. generate PXE server based on the above URL
2. start boot of other computer
3.
  
Actual results:
all drives are wiped clean, anything on them is lost forever

Expected results:
anaconda politely asking what to do

Additional info:
Comment 1 Scott J Henson 2011-03-29 14:51:26 EDT
Can I see what your setting is for 'default_kickstart' in your /etc/cobbler/settings file? Also, 'cobbler profile report --name MISBEHAVINGPROFILE' where MISBEHAVINGPROFILE is the name of the profile that does that undesired behavior. Thanks.
Comment 2 Fedora Admin XMLRPC Client 2012-04-11 18:00:11 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Matěj Cepl 2012-04-16 08:06:11 EDT
(In reply to comment #1)
> Can I see what your setting is for 'default_kickstart' in your
> /etc/cobbler/settings file? Also, 'cobbler profile report --name
> MISBEHAVINGPROFILE' where MISBEHAVINGPROFILE is the name of the profile that
> does that undesired behavior. Thanks.

Just for the completness sake ... I have used all defaults and whatever was described in the above mentioned URL. After destruction of my data, I have erased all cobbler-related files like signs of plague.
Comment 4 Matěj Cepl 2012-04-16 12:47:21 EDT
(In reply to comment #1)
> Can I see what your setting is for 'default_kickstart' in your
> /etc/cobbler/settings file? Also, 'cobbler profile report --name
> MISBEHAVINGPROFILE' where MISBEHAVINGPROFILE is the name of the profile that
> does that undesired behavior. Thanks.

Just for the completness sake ... I have used all defaults and whatever was described in the above mentioned URL. After destruction of my data, I have erased all cobbler-related files like signs of plague.
Comment 5 James C. 2012-04-16 20:38:24 EDT
I'm sorry you've had issues, but there was no response in over a year. In addition to that, the 2.0.10 version is quite outdated and no other reports of this bug have occurred, so without any further information to aid in debugging I'm going to close this ticket.

Note You need to log in before you can comment on or make changes to this bug.